;
{
  try {
    let e = "undefined" != typeof window ? window : "undefined" != typeof global ? global : "undefined" != typeof globalThis ? globalThis : "undefined" != typeof self ? self : {}, n = new e.Error().stack;
    n && (e._sentryDebugIds = e._sentryDebugIds || {}, e._sentryDebugIds[n] = "23aff8c7-6948-4adf-b100-275d2f02433a", e._sentryDebugIdIdentifier = "sentry-dbid-23aff8c7-6948-4adf-b100-275d2f02433a");
  } catch (e) {
  }
}
;
import { a3 as createLogger } from "./StoreProvider-CqQrndhS.js";
const localizeDateString = (dateString, locale, options) => {
  const logger = createLogger();
  const formatOptions = {
    timeZone: options?.timeZone ?? "UTC",
    year: options?.year ?? "numeric",
    month: options?.month ?? "long",
    day: options?.day ?? "2-digit"
  };
  try {
    return new Intl.DateTimeFormat(locale, formatOptions).format(new Date(dateString));
  } catch (err) {
    logger.error(err);
  }
};
export {
  localizeDateString as l
};
